<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_d9e86995f0bc6219b" . "3823d8422326153" => base64_decode("U0VMRUNUIHVzZXJfaWQsIENPVU5UKG9iamVjdF9pZCkgb2JqZWN0cywgQ09VTlQoRElTVElOQ1Qgb2JqZWN0X2lkKSB1bmlxdWVfb2JqZWN0cyBGUk9NIHN0YXRfdXBkYXRlcyBXSEVSRSBhZ2dyZWdhdGlvbiA9IGlu" . "dDphZ2dyZWdhdGlvbiBBTkQg"), "us" . "er" . "_i" . "d" => base64_decode("dXNlcl9pZ" . "A=="), "_79a5c6862da55" . "a81bbba54a4e91" . "b2e61" => base64_decode("IEdST1VQIEJZIHVzZXJfaWQgT1JER" . "VIgQlkgb2JqZWN0cyBERVNDLCB1bm" . "lxdWVfb2JqZWN0cyBERVNDLCB1c2V" . "yX2lkIEFTQw=="), "_07afa3e4c6840a9" . "0ca78db3521dfbe2" . "b" => base64_decode("c3R" . "kQ2" . "xhc" . "3M="), "aggre" . "gatio" . "n" => base64_decode("YWdncmVnYXR" . "pb24="), "_c5aeb46d" . "4987229cd" . "0033323a7" . "f86836" => base64_decode("b2JqZWN0c" . "w=="), "_0f939e9a0c1b17527b" . "ce221f42ee827e" => base64_decode("IEdST1VQIEJZIHVzZXJfaWQpI" . "HQ="), "_ead9f7746c5d5e2" . "801ce5704837fb63" . "b" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTEVDVCB1c2VyX2lkIEZST00gc3RhdF91cGRhd" . "GVzIFdIRVJFIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9uIEFORCA="));
use Claromentis\Core\DAL;
abstract class StatReportTopUpdaterList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 5;
        $this->rows_per_page = 10;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_d9e8699" . "5f0bc621" . "9b3823d8" . "42232615" . "3"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_79a5c6862d" . "a55a81bbba5" . "4a4e91b2e61"]);
        $query->Bind($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["aggreg" . "ation"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function ExtendDataWithObjects($data)
    {
        return $data;
    }
    protected function PrepareOutputData($data, $start_row = 0)
    {
        $_189840d11056515e52402d1412a0b6e4 = array();
        foreach ($data as $info) {
            $_189840d11056515e52402d1412a0b6e4[] = array(++$start_row, $info[$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["user_i" . "d"]], $info[$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_c5aeb46d4987229cd0033323a" . "7f86836"]]);
        }
        return $_189840d11056515e52402d1412a0b6e4;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_ead9f7746c5d5e2801ce5704837" . "fb63b"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_0f939e9a0c1b17527bce22" . "1f42ee827e"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
    protected function GetObjectClassName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_07afa3e4c6840a90ca78db3521dfbe2" . "b"];
    }
}